#!/bin/sh
set -e

echo "=== Inicializando aplicação NestJS ==="

echo "Esperando o banco de dados ficar disponível..."

npm install -g wait-on --silent

wait-on -t 60000 tcp:db:5432

echo "Banco de dados disponível. Executando migrações..."
npx prisma migrate deploy

echo "Iniciando aplicação..."
exec "$@"