# Backend

Este documento explica como executar o backend da aplicação.

## Como iniciar

1. **Pré-requisitos**
   - Node.js
   - Docker

2. **Clone o repositório**
   ```bash
   git clone <url-do-repositorio>
   cd backend
   ```

3. **Execute o script de inicialização**
   ```bash
   chmod +x start-backend.sh
   ./start-backend.sh
   ```

4. **Acesse**
   - API: http://localhost:3001
   - Documentação Swagger: http://localhost:3001/api

## O que o script faz

- Inicia o banco de dados PostgreSQL no Docker
- Instala dependências
- Gera o cliente Prisma
- Executa migrações do banco (se você confirmar)
- Inicia o servidor NestJS