import { ApiProperty } from '@nestjs/swagger';

export class CreateUserDto {
  @ApiProperty({
    description: 'Nome do User',
    example: 'liguissauro da silva',
  })
  name: string;

  @ApiProperty({
    description: 'O documento do usuário',
    example: '12345678901',
  })
  document: string;

  @ApiProperty({
    description: 'O email do usuário',
    example: 'SeuLinguiça@spa.com.br',
  })
  email: string;

  @ApiProperty({
    description: 'A senha do usuário',
    example: 'senha123',
  })
  password: string;
}
